Bug 229395 - [GFS2] NFS fix - gfs2 filldir issue
Summary: [GFS2] NFS fix - gfs2 filldir issue
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Wendy Cheng
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 20:20 UTC by Wendy Cheng
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 19:40:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Wendy Cheng 2007-02-20 20:20:12 UTC
Description of problem:
While reading the directory, Linux NFS readdirplus procedure call also 
includes an optimization logic to build the file handles for all the 
files within that directory based on the directory contents at the same
time. Unfortunately, GFS2 passes NFSD on-disk ino address (no_addr - the
2nd 64 bit of GFS ino structure) to NFS in readdirplus but expects formal 
inode number (the 1st 64 bits) in lookup code when filehandle is actually 
used. This causes a large portion of NFS lookup failure when these file 
handles are actually used. A very significant issues when running NFS with 
GFS2. 

Version-Release number of selected component (if applicable):
ALL

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Patch submitted to cluster-devel and is currently under discussion.

Comment 1 Wendy Cheng 2007-02-20 20:36:16 UTC
Patch and discussion thread archived at:

https://www.redhat.com/archives/cluster-devel/2007-February/msg00109.html

Comment 2 Wendy Cheng 2007-02-27 21:13:41 UTC
We'll tentatively set aside no_formal_ino and make lookup code consistent with
no_addr. Not sure whether we need a new bugzilla for not-NFS related changes ?

Comment 3 RHEL Product and Program Management 2007-03-01 21:45:03 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Kiersten (Kerri) Anderson 2007-03-09 18:42:31 UTC
Devel ACK for 5.1 - Would like to get the patch incorporated into an early 5.1
cycle kernel build.

Comment 5 RHEL Product and Program Management 2007-03-09 23:56:04 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 6 Don Zickus 2007-04-17 20:01:04 UTC
in 2.6.18-15.el5

Comment 9 errata-xmlrpc 2007-11-07 19:40:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.